Bug 1024733 - [ RFE ] - missing test cases for anaconda-yum-plugins
[ RFE ] - missing test cases for anaconda-yum-plugins
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda-yum-plugins (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
: FutureFeature
Depends On:
Blocks: 1024724
  Show dependency treegraph
 
Reported: 2013-10-30 06:40 EDT by Alexander Todorov
Modified: 2013-12-18 10:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1024737 (view as bug list)
Environment:
Last Closed: 2013-12-17 14:27:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-10-30 06:40:43 EDT
Description of problem:

This package doesn't appear to have any sort of test cases available in its code base. QE would like to have a test suite for the package present and executed in %check, see https://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites, however at this point I'm not sure how suitable is to have a test suite for this package and what should be tested. I'm filing this bug as a general request from QE in order to improve our test coverage. 


Version-Release number of selected component (if applicable):
anaconda-yum-plugins-1.0-9.el7.src.rpm
Comment 1 Chris Lumens 2013-10-31 09:57:25 EDT
I'd be more interested in knowing if this package even needs to exist anymore.
Comment 2 Chris Lumens 2013-12-17 14:28:55 EST
anaconda-yum-plugins has been removed anyway.
Comment 4 Chris Lumens 2013-12-18 10:18:09 EST
Bug 1040530 is tracking the patch removing anaconda's dependency on it.  We could remove it any time now, I suppose.

Note You need to log in before you can comment on or make changes to this bug.